--[[
	FindeClass 0.5
	Affiche la classe de la cible
]]

function FindelClass_OnLoad()
	this:RegisterEvent("PLAYER_TARGET_CHANGED");
	this:RegisterEvent("UNIT_HEALTH");
end

function FindelClass_OnEvent()
	if ((event == "PLAYER_TARGET_CHANGED") or ((event == "UNIT_HEALTH") and (arg1 == "target"))) then
		if (UnitName("target") and UnitIsPlayer("target")) then
			-- Cible Joueur
			FindelTargetPortrait:SetText(UnitClass("target"));
			FindelClass_ShowHP();

		elseif (UnitCreatureType("target")) then
			-- Cible PNJ/Monstre
			FindelTargetPortrait:SetText(UnitCreatureType("target"));
			FindelClass_ShowHP();

		else
			-- Pas de cible
			FindelTargetPortrait:SetText("");
			FindelTargetPercent:SetText("");
		end
	end
end

function FindelClass_ShowHP()
	local hp = floor(UnitHealth("target") / UnitHealthMax("target") *100);
	if (hp < 1) then hp = ""; else hp = hp.."%"; end
	FindelTargetPercent:SetText(hp);
end